> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get position segment labels

> Returns list of segment labels used to group user positions.

This endpoint is only available for companies with feature flag to manage positions by labels enabled. The endpoint requires authentication and will return a 403 error if the feature is not enabled for company.

<Warning>
  These labels are not user positions (e.g., "Backend Developer", "Analista de datos"). They are the classification criteria used to group positions (e.g., by seniority, area, or department). To retrieve actual user positions grouped by category, use [GET /userPosition/getPositionsOnly](/api-reference/user-positions/get-active-user-positions).
</Warning>


## OpenAPI

````yaml /api-reference/openapi.json get /userPosition/labels/groupers
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /userPosition/labels/groupers:
    get:
      tags:
        - User Positions
      summary: Get position segment labels
      description: >-
        Returns list of segment labels used to group user positions.


        This endpoint is only available for companies with feature flag to
        manage positions by labels enabled. The endpoint requires authentication
        and will return a 403 error if the feature is not enabled for company.
      parameters:
        - name: type
          in: query
          required: true
          description: >-
            Defines whether labels are retrieved for positions or categories.
            Must be 'c' for categories or 'p' for positions
          schema:
            type: string
            enum:
              - c
              - p
            example: p
      responses:
        '200':
          description: List of segment labels
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SegmentLabel'
        '400':
          description: Invalid type parameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status: 400
                name: CORCustomError
                code: CTR002
                message: Invalid type data
        '403':
          description: Feature flag to manage positions by labels not enabled for company
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SegmentLabel:
      type: object
      properties:
        id:
          type: integer
          description: Label ID
        name:
          type: string
          description: Label name
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````